GET /api/auth/status/
Return the current access level for this request.
Auth: not required.
Response 200
Section titled “Response 200”{ "accessLevel": "guest"}Response fields
Section titled “Response fields”| Field | Type | Required | Description |
|---|---|---|---|
accessLevel | string | yes | Current access level: guest, user, or powerUser |
- If the Bearer session is valid, the endpoint returns that session’s access level.
- If no Bearer session is present, the endpoint returns the anonymous access level calculated by the device:
guest,user, orpowerUser. - Anonymous access may be granted by diagnostic mode, trusted VPN access, or disabled validation of the corresponding web password. If
powerUservalidation is disabled,powerUseris returned; otherwise, ifuservalidation is disabled,useris returned.